#!/bin/sh

ci -u RCS/*.pkg,v
ci -u RCS/*.coc,v
ci -u RCS/*.ts,v

co RCS/*.pkg,v
co RCS/*.coc,v
co RCS/*.ts,v

rm -rf lib

mkdir -p lib/contrib/bigatti
mv intprog.pkg lib/contrib/bigatti

mkdir -p lib/contrib/biro
mv primary.pkg lib/contrib/biro
mv primary.ts lib/contrib/biro
mv specvar.pkg lib/contrib/biro

mkdir -p lib/contrib/caboara
mv radical.pkg lib/contrib/caboara
mv radical.ts lib/contrib/caboara
mv stat.pkg lib/contrib/caboara
mv stat.ts lib/contrib/caboara

mkdir -p lib/cocoa/ts
mv *.ts ts_lib.pkg lib/cocoa/ts

mv *.coc lib/cocoa
mv *.pkg lib/cocoa

mv lib/cocoa/userinit.coc .

ln -s ../../../man lib/cocoa/man
