#ifndef MAX_H
#define MAX_H

#include "coctypes.h"

olist support_of_this_arpoly(arpoly p, ring R);
olist monomials_of_this_arpoly(arpoly p, ring R);
olist coeffs_of_this_arpoly(arpoly p, ring R);
olist support_of_this_pv(pvector pv1, ring R);
olist monomials_of_this_pv(pvector pv1, ring R);
olist coeffs_of_this_pv(pvector pv1, ring R);

arpoly pv_FirstNonZero(pvector v, ring R);
int pv_FirstNonZeroPos(pvector v, ring R);

coc_bool pvector_is_term(pvector pv, ring R);
coc_bool arpoly_is_term(arpoly p, ring R);
coc_bool pvcomp_is_term(pvcomp p, ring R);


coeff this_arpoly_coeff_of_term(arpoly p, term t, ring R);
coeff this_pvector_coeff_of_term(pvector pv, pvector pvt, ring R); 

coc_bool pvcomp_is_zero(pvcomp p, ring R);

pvector nr(pvector p, module m, ring R);
#endif  /*  MAX_H  */
