/* $Id: record.h,v 4.4.1.1 2004/06/18 14:24:25 cocoa Exp $ */

#ifndef RECORD_H
#define RECORD_H

#ifndef MEMORY_H
# include "memoryco.h"
#endif

#define record_NULL env_NULL

#define record_init() env_init()
#define record_dup(r) env_dup(r)
#define record_free(r) env_free(r)

/* olist record_fields(record r) */

#define record_fields(r) env2olist(r)

#define record_sel(r,id) env_get_value(r,id)
#define record_update_field(r,id,o) env_declare_and_assign(r,id,o)

void record_update_field2(record *r, char * id, object o);
cterm record2cterm(record r);
ring record_extract_ring(env e);
coc_bool record_extract_ring_ck(env e, ring * res_R);

int record_do_size(env e);
coc_bool record_eq(env e1, env e2);

#endif
