/* $Id: subst.h,v 4.4.1.1 2004/06/18 14:24:25 cocoa Exp $ */

#ifndef SUBST_H
#define SUBST_H

#ifndef AUXTYPES_H
# include "auxtypes.h"
#endif

#ifndef COCTYPES_H
# include "coctypes.h"
#endif

#define malloc_subst() (subst)mymalloc(sizeof(subst_info),"subst")
#define free_subst(p) myfree(sizeof(subst_info),p,"subst")

#define malloc_subst_comp(r) \
  (arpoly *)mymalloc(sizeof(arpoly)*(r),"subst_comp")
#define free_subst_comp(r,p) myfree(sizeof(arpoly)*(r),p,"subst_comp")

#define subst_set(s,x,p) do \
  { iv_set_nth((s)->filter,(x)+1,1); \
    (s)->sub[x]=(p); \
  } while(FALSE)

#define subst_is_defined(s,x) (iv_get_nth((s)->filter,(x)+1)==1)
#define subst_get(s,x) ((s)->sub[x])

subst subst_init(ring R);
void subst_free(subst s,ring R);

arpoly subst_in_term(term t, subst s, ring R);
arpoly subst_in_monomial(monomial m, subst s, ring R);
arpoly subst_in_arpoly(arpoly p, subst s, ring R);

#endif
