/* weights.h : 0.8 : 11 Jul 94 : weights & weilist */         

/*-----------------------------------------------------------------------------


------------------------------------------------------------------------------*/

#ifndef WEIGHTS_H
#define WEIGHTS_H

#ifndef AUXTYPES_H
# include "auxtypes.h"
#endif

#ifndef COCTYPES_H
# include "coctypes.h"
#endif

#define weight_init(W) iv_init(W)
#define weight_free(W) do {if (W!=iv_NULL) iv_free(W);} while(FALSE)

#define weight_set_nth(W,I,N) iv_set_nth(W,I,N)
#define weight_nth(W,I) iv_get_nth(W,I)

#define weight2term(W) (term)(W)

#define weight_dup(W) iv_dup(W)

#define malloc_weilist(size) \
  (weilist)mymalloc(sizeof(weight)*(size+1),"weilist")
#define free_weilist(size,p) myfree((size+1)*sizeof(weight),p,"weilist")

#define weilist_nth(L,n) ((L)[n])
#define weilist_len(L) (int)((L)[0])
#define weilist_set_nth(L,N,W) (L)[N]=(W)
#define weilist_set_len(L,N) (L)[0]=(weight)N

weilist weilist_init(int n);
void weilist_free(weilist l);

ivector term_mdegree( term u, ring R );
ivector max_mdeg_lex_these( ivector v1, ivector v2);

#endif
