#ifndef DMPZlift_h
#define DMPZlift_h

#include "DUPZ.h"
#include "DMPZ.h"

struct DMPZlifter_struct
{
  DMPZ f, f2, flcf;
  int x, y;
  int *degs;
  int *substitution;
  
  DUPZ g1;
  DMPZ g, lcg, g_skeleton, g2;
  int *g_degs;

  DUPZ h1;
  DMPZ h, lch, h_skeleton, h2;
  int *h_degs;

  int *lifted;
  int FAILED;
};
typedef struct DMPZlifter_struct* DMPZlifter;

DMPZlifter DMPZlifter_ctor(DMPZ f, DUPZ g1, DUPZ h1, int *substitution, int x);
void DMPZlifter_dtor(DMPZlifter this);

void DMPZlift(DMPZlifter this);

#endif
