#ifndef DMPZlist_H
#define DMPZlist_H
 
#include "DMPZ.h"
 
struct DMPZlist_struct;

typedef struct DMPZlist_struct *DMPZlist;

struct DMPZlist_struct
{
  DMPZ poly;
  int deg;
  DMPZlist next;
};
 
int DMPZlist_length(DMPZlist l);

DMPZlist DMPZlist_append(DMPZlist front, DMPZlist back);

DMPZlist DMPZlist_ctor(DMPZ f, int n); /* does NOT copy f */
void DMPZlist_elem_dtor(DMPZlist elem);
void DMPZlist_dtor(DMPZlist l);


#endif
