#ifndef DMPZmap_to_univariate_h
#define DMPZmap_to_univariate_h

/* Evaluate multivariate polynomial f at the given point except for */
/* the variable var which is retained in the univariate image.      */

#include "DUPZ.h"
#include "DMPZ.h"

DUPZ DMPZmap_to_univariate(const DMPZ f, int var, int *point);

#endif
