#ifndef DUPZSQFRD_H
#define DUPZSQFRD_H

#include "DUPZ.h"
#include "DUPZlist.h"

int DUPZsqfr(const DUPZ f);

/* Compute square-free decomposition (after discarding any content).    */
/* W A R N I N G: if leading coeff of f is negative then the product    */
/* W A R N I N G: of the sqfr components will be -f (and not f).        */
DUPZlist DUPZsqfrd(const DUPZ f);

#endif
