#ifndef FFmat_h
#define FFmat_h

#include "FFmat_type.h"
#include "Zmat_type.h"

FFmat FFmat_ctor(int nrows, int ncols);
FFmat FFmat_ctor_identity(int n);
void  FFmat_dtor(FFmat M);

void FFmat_mul(FFmat product, FFmat A, FFmat B);
void FFmat_to_Zmat(Zmat A, FFmat Amodp);
void FFmat_mul_vec(FFelem *product, FFmat M, FFelem *vec);


#endif
