#ifndef Zmat_h
#define Zmat_h

#include "Zmat_type.h"
#include "FFmat_type.h"

Zmat Zmat_ctor(int n, int m);
void Zmat_dtor(Zmat M);

void Zmat_swap_rows(Zmat M, int i, int j);
void Zmat_swap_cols(Zmat M, int i, int j);

void Zmat_to_FFmat(FFmat Mp, Zmat M);

void Zmat_mul(Zmat product, Zmat A, Zmat B);
void Zmat_mul_FFmat(Zmat product, Zmat A, FFmat B);

#endif
