#ifndef jintf_h
#define jintf_h

/* This header file is included in the CoCoA sources.          */
/* It declares the interface between CoCoA and the factorizer. */

#ifndef COCTYPES_H
# include "coctypes.h"
#endif

object cocoa_DMPZfactor(arpoly poly, ring R);
arpoly arpoly_gcd_JAA(arpoly f, arpoly g, ring R);
olist lin_kernel(const omat M);
olist lin_solve(const omat M, const olist L);
object try_Zdet(omat M);

object jaa_eval(arpoly f, olist point, ring R);
omat Qmat_inverse(const omat M);
object BM_interface(object L, ring R);
object GBM_interface(object L, ring R);
object GBM_interface_FF(object L, ring R);

object do_NewPPStream(ring R);
object do_NextPP(object o, ring R);
object do_AvoidLastPP(object o, ring R);

object do_NextPrime(arbint N);
object do_NextPrime2(int N);

object do_Mod2Rat(arbint res, arbint mod, arbint Q);

#endif
