#include "mpq_to_FFelem.h"

int mpq_to_FFelem(FFelem *r, mpq_t q)
{
  FFelem p = CurrentFF.prime;
  FFelem num, den;

  den = mpz_fdiv_ui(mpq_denref(q), p);
  if (den == 0) return 0;
  num = mpz_fdiv_ui(mpq_numref(q), p);
  *r = FFdiv(num, den);
  return 1;
}
