#ifndef mpq_to_FFelem_h
#define mpq_to_FFelem_h

#include <gmp.h>
#include "FF.h"

/***************************************************************************/
/* Function to convert a rational num (mpq_t) to a FFelem using the current*/
/* finite field.  Return value is 0 if the conversion failed (i.e. the     */
/* denominator reduced to zero modulo p), and otherwise non-zero.          */
/* If conversion fails then the value of *r is left unaltered.             */

int mpq_to_FFelem(FFelem *r, mpq_t q);

#endif
