#ifndef mpz_lcm_h
#define mpz_lcm_h

#include <gmp.h>

#if __GNU_MP_VERSION==2
/***************************************************************************/
/* Compute LCM of arg1 and arg2 putting result into dest.                  */
/* Aliasing between args is permitted.                                     */

void mpz_lcm(mpz_t dest, mpz_t arg1, mpz_t arg2);
#endif

#endif
