#ifndef _CDEV_W32_H_
#define _CDEV_W32_H_

#define	W_BUFF_SIZE	128

#include "windows.h"
#include "richedit.h"

typedef	HWND WindowPtr;

typedef struct {
	char	Data[W_BUFF_SIZE+1];
	int	Index;
	} WBuffer;

typedef struct cdev_iwindow_info {
	WBuffer	Buffer;
	} cdev_iwindow_info;

typedef struct cdev_owindow_info {
	WindowPtr TargetWindow;
	WBuffer	Buffer;
	} cdev_owindow_info;

typedef FILE * cdev_ifile;
typedef FILE * cdev_ofile;
typedef cdev_iwindow_info * cdev_iwindow;
typedef cdev_owindow_info * cdev_owindow;
typedef WindowPtr cdev_owindow_params;

#endif
