/* $id$ */
/* Dos dependent functions (perhaps obsolete) */   

#include "cocdefs.h"
#include <time.h>

#ifndef MACHINE_H
# include "machine.h"
#endif

char * build_path(char * p /* slash separated path */)
{
  char * res_p, * aux_p;
  res_p = my_strdup(p);
  if (!(*res_p)) return res_p;
  aux_p=res_p;
  do {
    if (*aux_p == '/') *aux_p='\\';
  } while (*++aux_p);
  return res_p;
}

void get_time(long int * t)
{
  *t = (long int)time(NULL);
}

void get_cputime(long int * t) 
{
  /* clock_t clock() , clock_t is defined as long in time.h */
  *t=clock();
}

void cocoa_display_elapsed_time(long int t)
{
  char aux_s[100];
  sprintf(aux_s,"(elapsed time: %d s)",t);
  cocoa_message(aux_s);
}

void cocoa_display_elapsed_cputime(long int t)
{
  char aux_s[100];
  t = clock()-t ;
  sprintf(aux_s,"(cpu time: %4.2f s)",(double)t/CLOCKS_PER_SEC);
  cocoa_message(aux_s);
}

void cocoa_display_elapsed_time_cputime(long int t,long int ct)
{
  char aux_s[100];
  ct = clock()-ct;
  sprintf(aux_s,"Elapsed time: %d s, cpu: %4.2f s",t,(double)ct/CLOCKS_PER_SEC);
  cocoa_message(aux_s);
}

void my_fflush(FILE * f)
{
  fflush(f);
}


void my_fputs(char *s, FILE * f)
{
  fputs(s,f);
}

/* special for mac interface */
char * expnum(char * s){}
void numexp(char * s, char res_s[]){}


