#ifndef DMPZevalQ_h
#define DMPZevalQ_h

#include "DMPZ.h"
#include <gmp.h>

/***************************************************************************/
/* Evaluate a multivariate polynomial with integer coefficients at a       */
/* rational point.  Resulting value is placed in first argument.           */
/* The array "point" must contain at least NVARS elements.                 */

void DMPZevalQ(mpq_t value, DMPZ poly, mpq_t *point);

#endif
