#ifndef DUPFFLIST_H
#define DUPFFLIST_H
 
#include "DUPFF.h"
 
struct DUPFFlist_struct;

typedef struct DUPFFlist_struct *DUPFFlist;

struct DUPFFlist_struct
{
  DUPFF poly;
  int deg;
  DUPFFlist next;
};
 
int DUPFFlist_length(DUPFFlist l);

DUPFFlist DUPFFlist_append(DUPFFlist front, DUPFFlist back);
DUPFFlist DUPFFlist_sort(DUPFFlist l);

DUPFFlist DUPFFlist_ctor(DUPFF f, int n);
void DUPFFlist_elem_dtor(DUPFFlist elem);
void DUPFFlist_dtor(DUPFFlist l);


#endif
