#ifndef DUPZLIST_H
#define DUPZLIST_H
 
#include "DUPZ.h"
 
struct DUPZlist_struct;

typedef struct DUPZlist_struct *DUPZlist;

struct DUPZlist_struct
{
  DUPZ poly;
  int deg;
  DUPZlist next;
};
 
int DUPZlist_length(DUPZlist l);

DUPZlist DUPZlist_append(DUPZlist front, DUPZlist back);

DUPZlist DUPZlist_ctor(DUPZ f, int n); /* does NOT copy f */
void DUPZlist_elem_dtor(DUPZlist elem);
void DUPZlist_dtor(DUPZlist l);


#endif
