#ifndef Qmat_h
#define Qmat_h

#include "Qmat_type.h"
#include "FFmat_type.h"

Qmat Qmat_ctor(int n, int m);
void Qmat_dtor(Qmat M);

void Qmat_swap_rows(Qmat M, int i, int j);
void Qmat_swap_cols(Qmat M, int i, int j);

int Qmat_to_FFmat(FFmat Mp, Qmat M); /* returns 1 if OK, o/w 0 */

void Qmat_mul(Qmat product, Qmat A, Qmat B);
void Qmat_mul_vec(mpq_t *product, Qmat M, mpq_t *vec);

#endif
