#ifndef ZDET_H
#define ZDET_H

#include <gmp.h>
#include "Zmat.h"

/* Compute determinant of (square) Zmat M, and put the value in det.        */
/* Failure can occur with matrices having large Hadamard bound (e.g. greater*/
/* 10^20000 on 32-bit machines, limit is much higher on 64-bit machines).   */
void Zdet(mpz_t det, Zmat M);


#endif
